Package ru.bitel.bgbilling.modules.email.server.bean

# Class LdapEmailServiceActivator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator
ru.bitel.bgbilling.modules.email.server.bean.LdapEmailServiceActivator

All Implemented Interfaces:
  `AutoCloseable`

public class LdapEmailServiceActivator extends EmailServiceActivator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LdapEmailServiceActivator(Domain domain, ParameterMap moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cancelImpl(Account account)`
  `protected void`
  `checkLDAPResult(int status_code)`
  `protected void`
  `createImpl(Account account)`
  `protected void`
  `modifyImpl(Account account)`
  `protected void`
  `removeDomainImpl(Domain domain)`
  `protected void`
  `updateDomainImpl(Domain domain)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator

  `cancel, close, create, modify, removeDomain, updateDomain`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LdapEmailServiceActivator

    public LdapEmailServiceActivator(Domain domain, ParameterMap moduleSetup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### createImpl

    protected void createImpl(Account account) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `createImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### modifyImpl

    protected void modifyImpl(Account account) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `modifyImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelImpl

    protected void cancelImpl(Account account) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `cancelImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkLDAPResult

    protected void checkLDAPResult(int status_code) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeDomainImpl

    protected void removeDomainImpl(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `removeDomainImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDomainImpl

    protected void updateDomainImpl(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateDomainImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`